# Silk Icon Theme for the PureBasic IDE

[![CC-BY-2.5][CC-BY badge]][CC-BY license]

by [Timo «Freak» Harter], member of the [PureBasic Team].

This theme uses the icons (some slightly modified) from the __[Silk icon set 1.3]__ by [Mark James].

To reuse or distribute this theme, you must honor [the license terms by the original author], listed below.

-----

**Table of Contents**


<!-- MarkdownTOC autolink="true" bracket="round" autoanchor="false" lowercase="only_ascii" uri_encoding="true" levels="1,2,3,4" -->

- [Folder Contents](#folder-contents)
- [Icons Preview](#icons-preview)
- [License and Info](#license-and-info)

<!-- /MarkdownTOC -->

-----

# Folder Contents

- [`Theme.prefs`](./Theme.prefs) — main theme file.
- [`Readme.txt`](./Readme.txt) — original info file attachment.
- `*.png` (151) — theme icons + original icons that were modified.

> __NOTE__ — Images with a filename beginning in `modified_` are the icons modified by [Timo «Freak» Harter], used in the actual IDE theme; their original version from the Silk Icon set is also included, with the same filename but without the `modified_` prefix.
> Example:
>
> * [modified_find.png]  (![icon][modified_find.png])  &rarr; [find.png]  (![icon][find.png])

# Icons Preview

|            icon file            |                                        |            icon file            |                                        |           icon file            |                                       |
|---------------------------------|----------------------------------------|---------------------------------|----------------------------------------|--------------------------------|---------------------------------------|
| [accept.png]                    | ![icon][accept.png]                    | [add.png]                       | ![icon][add.png]                       | [application_add.png]          | ![icon][application_add.png]          |
| [application_form.png]          | ![icon][application_form.png]          | [application_form_add.png]      | ![icon][application_form_add.png]      | [application_home.png]         | ![icon][application_home.png]         |
| [application_tile_vertical.png] | ![icon][application_tile_vertical.png] | [application_view_columns.png]  | ![icon][application_view_columns.png]  | [application_view_gallery.png] | ![icon][application_view_gallery.png] |
| [application_view_tile.png]     | ![icon][application_view_tile.png]     | [arrow_down.png]                | ![icon][arrow_down.png]                | [arrow_left.png]               | ![icon][arrow_left.png]               |
| [arrow_redo.png]                | ![icon][arrow_redo.png]                | [arrow_refresh.png]             | ![icon][arrow_refresh.png]             | [arrow_right.png]              | ![icon][arrow_right.png]              |
| [arrow_switch.png]              | ![icon][arrow_switch.png]              | [arrow_undo.png]                | ![icon][arrow_undo.png]                | [arrow_up.png]                 | ![icon][arrow_up.png]                 |
| [asterisk_yellow.png]           | ![icon][asterisk_yellow.png]           | [attach.png]                    | ![icon][attach.png]                    | [award_star_add.png]           | ![icon][award_star_add.png]           |
| [award_star_delete.png]         | ![icon][award_star_delete.png]         | [book.png]                      | ![icon][book.png]                      | [book_edit.png]                | ![icon][book_edit.png]                |
| [book_next.png]                 | ![icon][book_next.png]                 | [book_open.png]                 | ![icon][book_open.png]                 | [book_previous.png]            | ![icon][book_previous.png]            |
| [brick.png]                     | ![icon][brick.png]                     | [brick_add.png]                 | ![icon][brick_add.png]                 | [brick_delete.png]             | ![icon][brick_delete.png]             |
| [brick_edit.png]                | ![icon][brick_edit.png]                | [bricks.png]                    | ![icon][bricks.png]                    | [bug.png]                      | ![icon][bug.png]                      |
| [bug_add.png]                   | ![icon][bug_add.png]                   | [bug_delete.png]                | ![icon][bug_delete.png]                | [bullet_go.png]                | ![icon][bullet_go.png]                |
| [chart_bar.png]                 | ![icon][chart_bar.png]                 | [chart_organisation.png]        | ![icon][chart_organisation.png]        | [clock_red.png]                | ![icon][clock_red.png]                |
| [cog.png]                       | ![icon][cog.png]                       | [cog_edit.png]                  | ![icon][cog_edit.png]                  | [comment_add.png]              | ![icon][comment_add.png]              |
| [comment_delete.png]            | ![icon][comment_delete.png]            | [computer.png]                  | ![icon][computer.png]                  | [control_pause_blue.png]       | ![icon][control_pause_blue.png]       |
| [control_play_blue.png]         | ![icon][control_play_blue.png]         | [cross.png]                     | ![icon][cross.png]                     | [cut.png]                      | ![icon][cut.png]                      |
| [database.png]                  | ![icon][database.png]                  | [date.png]                      | ![icon][date.png]                      | [delete.png]                   | ![icon][delete.png]                   |
| [disk.png]                      | ![icon][disk.png]                      | [disk_multiple.png]             | ![icon][disk_multiple.png]             | [error.png]                    | ![icon][error.png]                    |
| [exclamation.png]               | ![icon][exclamation.png]               | [eye.png]                       | ![icon][eye.png]                       | [find.png]                     | ![icon][find.png]                     |
| [flag_green.png]                | ![icon][flag_green.png]                | [flag_red.png]                  | ![icon][flag_red.png]                  | [flag_yellow.png]              | ![icon][flag_yellow.png]              |
| [folder.png]                    | ![icon][folder.png]                    | [folder_add.png]                | ![icon][folder_add.png]                | [folder_delete.png]            | ![icon][folder_delete.png]            |
| [folder_explore.png]            | ![icon][folder_explore.png]            | [folder_find.png]               | ![icon][folder_find.png]               | [folder_page.png]              | ![icon][folder_page.png]              |
| [font_go.png]                   | ![icon][font_go.png]                   | [help.png]                      | ![icon][help.png]                      | [house.png]                    | ![icon][house.png]                    |
| [information.png]               | ![icon][information.png]               | [layout_content.png]            | ![icon][layout_content.png]            | [lightning.png]                | ![icon][lightning.png]                |
| [link.png]                      | ![icon][link.png]                      | [modified_application_down.png] | ![icon][modified_application_down.png] | [modified_attach_go.png]       | ![icon][modified_attach_go.png]       |
| [modified_cog_run.png]          | ![icon][modified_cog_run.png]          | [modified_diff_file.png]        | ![icon][modified_diff_file.png]        | [modified_diff_folder.png]     | ![icon][modified_diff_folder.png]     |
| [modified_find.png]             | ![icon][modified_find.png]             | [modified_folder_page_1.png]    | ![icon][modified_folder_page_1.png]    | [modified_folder_page_2.png]   | ![icon][modified_folder_page_2.png]   |
| [modified_page_pb.png]          | ![icon][modified_page_pb.png]          | [modified_page_white_tick.png]  | ![icon][modified_page_white_tick.png]  | [modified_step.png]            | ![icon][modified_step.png]            |
| [modified_stepout.png]          | ![icon][modified_stepout.png]          | [modified_stepover.png]         | ![icon][modified_stepover.png]         | [package.png]                  | ![icon][package.png]                  |
| [page.png]                      | ![icon][page.png]                      | [page_add.png]                  | ![icon][page_add.png]                  | [page_copy.png]                | ![icon][page_copy.png]                |
| [page_delete.png]               | ![icon][page_delete.png]               | [page_edit.png]                 | ![icon][page_edit.png]                 | [page_go.png]                  | ![icon][page_go.png]                  |
| [page_paste.png]                | ![icon][page_paste.png]                | [page_refresh.png]              | ![icon][page_refresh.png]              | [page_save.png]                | ![icon][page_save.png]                |
| [page_white.png]                | ![icon][page_white.png]                | [page_white_add.png]            | ![icon][page_white_add.png]            | [page_white_code.png]          | ![icon][page_white_code.png]          |
| [page_white_copy.png]           | ![icon][page_white_copy.png]           | [page_white_delete.png]         | ![icon][page_white_delete.png]         | [page_white_edit.png]          | ![icon][page_white_edit.png]          |
| [page_white_excel.png]          | ![icon][page_white_excel.png]          | [page_white_gear.png]           | ![icon][page_white_gear.png]           | [page_white_stack.png]         | ![icon][page_white_stack.png]         |
| [photos.png]                    | ![icon][photos.png]                    | [resultset_next.png]            | ![icon][resultset_next.png]            | [script.png]                   | ![icon][script.png]                   |
| [shape_square_add.png]          | ![icon][shape_square_add.png]          | [table.png]                     | ![icon][table.png]                     | [tag_red.png]                  | ![icon][tag_red.png]                  |
| [text_indent.png]               | ![icon][text_indent.png]               | [time_go.png]                   | ![icon][time_go.png]                   | [vd_buttongadget.png]          | ![icon][vd_buttongadget.png]          |
| [vd_buttonimagegadget.png]      | ![icon][vd_buttonimagegadget.png]      | [vd_calendargadget.png]         | ![icon][vd_calendargadget.png]         | [vd_canvasgadget.png]          | ![icon][vd_canvasgadget.png]          |
| [vd_checkboxgadget.png]         | ![icon][vd_checkboxgadget.png]         | [vd_comboboxgadget.png]         | ![icon][vd_comboboxgadget.png]         | [vd_containergadget.png]       | ![icon][vd_containergadget.png]       |
| [vd_cursor.png]                 | ![icon][vd_cursor.png]                 | [vd_dategadget.png]             | ![icon][vd_dategadget.png]             | [vd_editorgadget.png]          | ![icon][vd_editorgadget.png]          |
| [vd_explorercombogadget.png]    | ![icon][vd_explorercombogadget.png]    | [vd_explorerlistgadget.png]     | ![icon][vd_explorerlistgadget.png]     | [vd_explorertreegadget.png]    | ![icon][vd_explorertreegadget.png]    |
| [vd_frame3dgadget.png]          | ![icon][vd_frame3dgadget.png]          | [vd_hyperlinkgadget.png]        | ![icon][vd_hyperlinkgadget.png]        | [vd_imagegadget.png]           | ![icon][vd_imagegadget.png]           |
| [vd_ipaddressgadget.png]        | ![icon][vd_ipaddressgadget.png]        | [vd_listicongadget.png]         | ![icon][vd_listicongadget.png]         | [vd_listviewgadget.png]        | ![icon][vd_listviewgadget.png]        |
| [vd_menu.png]                   | ![icon][vd_menu.png]                   | [vd_optiongadget.png]           | ![icon][vd_optiongadget.png]           | [vd_panelgadget.png]           | ![icon][vd_panelgadget.png]           |
| [vd_progressbargadget.png]      | ![icon][vd_progressbargadget.png]      | [vd_scrollareagadget.png]       | ![icon][vd_scrollareagadget.png]       | [vd_scrollbargadget.png]       | ![icon][vd_scrollbargadget.png]       |
| [vd_spingadget.png]             | ![icon][vd_spingadget.png]             | [vd_splittergadget.png]         | ![icon][vd_splittergadget.png]         | [vd_status.png]                | ![icon][vd_status.png]                |
| [vd_stringgadget.png]           | ![icon][vd_stringgadget.png]           | [vd_textgadget.png]             | ![icon][vd_textgadget.png]             | [vd_toolbar.png]               | ![icon][vd_toolbar.png]               |
| [vd_trackbargadget.png]         | ![icon][vd_trackbargadget.png]         | [vd_treegadget.png]             | ![icon][vd_treegadget.png]             | [vd_webgadget.png]             | ![icon][vd_webgadget.png]             |
| [wand.png]                      | ![icon][wand.png]                      | [world.png]                     | ![icon][world.png]                     | [wrench.png]                   | ![icon][wrench.png]                   |
| [zoom.png]                      | ![icon][zoom.png]                      |                                 |                                        |                                |                                       |

# License and Info

Original icon set information:

```
Silk icon set 1.3

_________________________________________
Mark James
http://www.famfamfam.com/lab/icons/silk/
_________________________________________

This work is licensed under a
Creative Commons Attribution 2.5 License.
[ http://creativecommons.org/licenses/by/2.5/ ]

This means you may use it for any purpose,
and make any changes you like.
All I ask is that you include a link back
to this page in your credits.

Are you using this icon set? Send me an email
(including a link or picture if available) to
mjames@gmail.com

Any other questions about this icon set please
contact mjames@gmail.com
```


<!-----------------------------------------------------------------------------
                               REFERENCE LINKS
------------------------------------------------------------------------------>

[PureBasic Team]: https://www.purebasic.com/support.php "Learn more about the PureBasic Team at www.PureBasic.com"
[Silk icon set 1.3]: http://www.famfamfam.com/lab/icons/silk/ "Visit the Silk Icons page at www.famfamfam.com"

<!-- xrefs -->

[the license terms by the original author]: #license-and-info

<!-- license badge -->

[CC-BY license]: https://creativecommons.org/licenses/by/2.5/ "Creative Commons Attribution 2.5 Generic"
[CC-BY badge]: https://img.shields.io/badge/License-CC--BY--2.5-blue

<!-- people -->

[Mark James]: https://twitter.com/markjames "Visit Mark James's profile on Twitter"
[Timo «Freak» Harter]: https://github.com/t-harter "View Timo «Freak» Harter's GitHub profile"

<!-- image files -->

[accept.png]: ./accept.png
[add.png]: ./add.png
[application_add.png]: ./application_add.png
[application_form.png]: ./application_form.png
[application_form_add.png]: ./application_form_add.png
[application_home.png]: ./application_home.png
[application_tile_vertical.png]: ./application_tile_vertical.png
[application_view_columns.png]: ./application_view_columns.png
[application_view_gallery.png]: ./application_view_gallery.png
[application_view_tile.png]: ./application_view_tile.png
[arrow_down.png]: ./arrow_down.png
[arrow_left.png]: ./arrow_left.png
[arrow_redo.png]: ./arrow_redo.png
[arrow_refresh.png]: ./arrow_refresh.png
[arrow_right.png]: ./arrow_right.png
[arrow_switch.png]: ./arrow_switch.png
[arrow_undo.png]: ./arrow_undo.png
[arrow_up.png]: ./arrow_up.png
[asterisk_yellow.png]: ./asterisk_yellow.png
[attach.png]: ./attach.png
[award_star_add.png]: ./award_star_add.png
[award_star_delete.png]: ./award_star_delete.png
[book.png]: ./book.png
[book_edit.png]: ./book_edit.png
[book_next.png]: ./book_next.png
[book_open.png]: ./book_open.png
[book_previous.png]: ./book_previous.png
[brick.png]: ./brick.png
[brick_add.png]: ./brick_add.png
[brick_delete.png]: ./brick_delete.png
[brick_edit.png]: ./brick_edit.png
[bricks.png]: ./bricks.png
[bug.png]: ./bug.png
[bug_add.png]: ./bug_add.png
[bug_delete.png]: ./bug_delete.png
[bullet_go.png]: ./bullet_go.png
[chart_bar.png]: ./chart_bar.png
[chart_organisation.png]: ./chart_organisation.png
[clock_red.png]: ./clock_red.png
[cog.png]: ./cog.png
[cog_edit.png]: ./cog_edit.png
[comment_add.png]: ./comment_add.png
[comment_delete.png]: ./comment_delete.png
[computer.png]: ./computer.png
[control_pause_blue.png]: ./control_pause_blue.png
[control_play_blue.png]: ./control_play_blue.png
[cross.png]: ./cross.png
[cut.png]: ./cut.png
[database.png]: ./database.png
[date.png]: ./date.png
[delete.png]: ./delete.png
[disk.png]: ./disk.png
[disk_multiple.png]: ./disk_multiple.png
[error.png]: ./error.png
[exclamation.png]: ./exclamation.png
[eye.png]: ./eye.png
[find.png]: ./find.png
[flag_green.png]: ./flag_green.png
[flag_red.png]: ./flag_red.png
[flag_yellow.png]: ./flag_yellow.png
[folder.png]: ./folder.png
[folder_add.png]: ./folder_add.png
[folder_delete.png]: ./folder_delete.png
[folder_explore.png]: ./folder_explore.png
[folder_find.png]: ./folder_find.png
[folder_page.png]: ./folder_page.png
[font_go.png]: ./font_go.png
[help.png]: ./help.png
[house.png]: ./house.png
[information.png]: ./information.png
[layout_content.png]: ./layout_content.png
[lightning.png]: ./lightning.png
[link.png]: ./link.png
[modified_application_down.png]: ./modified_application_down.png
[modified_attach_go.png]: ./modified_attach_go.png
[modified_cog_run.png]: ./modified_cog_run.png
[modified_diff_file.png]: ./modified_diff_file.png
[modified_diff_folder.png]: ./modified_diff_folder.png
[modified_find.png]: ./modified_find.png
[modified_folder_page_1.png]: ./modified_folder_page_1.png
[modified_folder_page_2.png]: ./modified_folder_page_2.png
[modified_page_pb.png]: ./modified_page_pb.png
[modified_page_white_tick.png]: ./modified_page_white_tick.png
[modified_step.png]: ./modified_step.png
[modified_stepout.png]: ./modified_stepout.png
[modified_stepover.png]: ./modified_stepover.png
[package.png]: ./package.png
[page.png]: ./page.png
[page_add.png]: ./page_add.png
[page_copy.png]: ./page_copy.png
[page_delete.png]: ./page_delete.png
[page_edit.png]: ./page_edit.png
[page_go.png]: ./page_go.png
[page_paste.png]: ./page_paste.png
[page_refresh.png]: ./page_refresh.png
[page_save.png]: ./page_save.png
[page_white.png]: ./page_white.png
[page_white_add.png]: ./page_white_add.png
[page_white_code.png]: ./page_white_code.png
[page_white_copy.png]: ./page_white_copy.png
[page_white_delete.png]: ./page_white_delete.png
[page_white_edit.png]: ./page_white_edit.png
[page_white_excel.png]: ./page_white_excel.png
[page_white_gear.png]: ./page_white_gear.png
[page_white_stack.png]: ./page_white_stack.png
[photos.png]: ./photos.png
[resultset_next.png]: ./resultset_next.png
[script.png]: ./script.png
[shape_square_add.png]: ./shape_square_add.png
[table.png]: ./table.png
[tag_red.png]: ./tag_red.png
[text_indent.png]: ./text_indent.png
[time_go.png]: ./time_go.png
[vd_buttongadget.png]: ./vd_buttongadget.png
[vd_buttonimagegadget.png]: ./vd_buttonimagegadget.png
[vd_calendargadget.png]: ./vd_calendargadget.png
[vd_canvasgadget.png]: ./vd_canvasgadget.png
[vd_checkboxgadget.png]: ./vd_checkboxgadget.png
[vd_comboboxgadget.png]: ./vd_comboboxgadget.png
[vd_containergadget.png]: ./vd_containergadget.png
[vd_cursor.png]: ./vd_cursor.png
[vd_dategadget.png]: ./vd_dategadget.png
[vd_editorgadget.png]: ./vd_editorgadget.png
[vd_explorercombogadget.png]: ./vd_explorercombogadget.png
[vd_explorerlistgadget.png]: ./vd_explorerlistgadget.png
[vd_explorertreegadget.png]: ./vd_explorertreegadget.png
[vd_frame3dgadget.png]: ./vd_frame3dgadget.png
[vd_hyperlinkgadget.png]: ./vd_hyperlinkgadget.png
[vd_imagegadget.png]: ./vd_imagegadget.png
[vd_ipaddressgadget.png]: ./vd_ipaddressgadget.png
[vd_listicongadget.png]: ./vd_listicongadget.png
[vd_listviewgadget.png]: ./vd_listviewgadget.png
[vd_menu.png]: ./vd_menu.png
[vd_optiongadget.png]: ./vd_optiongadget.png
[vd_panelgadget.png]: ./vd_panelgadget.png
[vd_progressbargadget.png]: ./vd_progressbargadget.png
[vd_scrollareagadget.png]: ./vd_scrollareagadget.png
[vd_scrollbargadget.png]: ./vd_scrollbargadget.png
[vd_spingadget.png]: ./vd_spingadget.png
[vd_splittergadget.png]: ./vd_splittergadget.png
[vd_status.png]: ./vd_status.png
[vd_stringgadget.png]: ./vd_stringgadget.png
[vd_textgadget.png]: ./vd_textgadget.png
[vd_toolbar.png]: ./vd_toolbar.png
[vd_trackbargadget.png]: ./vd_trackbargadget.png
[vd_treegadget.png]: ./vd_treegadget.png
[vd_webgadget.png]: ./vd_webgadget.png
[wand.png]: ./wand.png
[world.png]: ./world.png
[wrench.png]: ./wrench.png
[zoom.png]: ./zoom.png

<!-- EOF -->

